package de.dhbwloe.campusapp.nfcreader.MifareDESFire;

import de.dhbwloe.campusapp.nfcreader.UndefinedResponseException;

/**
 * Created by stefan on 21.01.16.
 */
public interface IsoDepWrapper {


    /**
     * @param command Command to send to the tag (Format example: "AF 00 01 EF 01"
     * @return Returns the raw response from the tag
     * @throws UndefinedResponseException Thrown when the tag returned an undefined response code
     */
    public Byte[] sendCommand(String command) throws UndefinedResponseException, CommunicationError;
}
